<template>
  <v-row>
    <v-col 
      v-if="currentNews && currentNews.media"
      class="text-center"
      cols="12" sm="4" md="4"
    >
      <carousel 
        :height="300" 
        clicable
        @click="openDialog"
      />
      <v-dialog
        v-model="dialog"
        :max-width="800"
      >
        <v-card>
          <carousel :height="500"/>
        </v-card>
      </v-dialog>
    </v-col>
    <v-col cols="12" sm="8" md="8">
      <h1 class="display-1 mb-3"> {{ currentNews.title }}</h1>

      <div class="d-flex justify-space-between mb-6">
        <div>
          {{ currentNews.formatedDate }}
        </div>
        <div class="subtitle-1" v-if="currentNews.author">
          <span v-if="currentNews.author.split(',').length > 1">Авторы:</span>
          <span v-else>Автор:</span>
           {{ currentNews.author }}
        </div>
      </div>
  
      <p>{{ currentNews.content }}</p>
      <v-btn
          color="primary"
          elevation="2"
          :href="currentNews.link"
          rounded
      >Перейти на сайт</v-btn>
    </v-col>
  </v-row>
</template>

<script>
import Carousel from '~/components/Carousel.vue'
import { mapState, mapMutations } from 'vuex'

export default {
    data: vm => ({
        dialog: false,
    }),
    components: {
        Carousel
    },
    computed: {
        ...mapState(['currentNews'])
    },
    mounted() {
        this.SET_CURRENT_NEWS_BY_GUID(this.$route.params.id);
        this.SET_CURRENT_IMAGE_INDEX(0);
    },
    methods: {
        ...mapMutations(["SET_CURRENT_NEWS_BY_GUID", "SET_CURRENT_IMAGE_INDEX"]),
        openDialog() {
            this.dialog = true;
        }
    }
}
</script>